
//Called when application is started.
function OnStart()
{
    //var file = "/sdcard/MyPlugin.jpg";
    //app.SendMail( "fred@gmail.com", "AS", "Hello world", file );
   //CreatePackage( "Zip" );
   
   InstallPackage( "Hello World.spk" );
}

//Create a project package.
function CreatePackage( appName )
{
    //Create project zip file.
    var zip = app.CreateZipUtil();
	var fldr = app.GetPath()+"/"+appName;
	var file = fldr+".zip";
	zip.Create( file );
	
	//Add project files.
	var appPath = app.GetPath();
    AddFolder( zip, appName, fldr );
	
	//Close zip file.
	zip.Close();
}

//Recursively add folder contents to zip.
function AddFolder( zip, name, fldr )
{
    var list = app.ListFolder( fldr,"");
    for( var i=0; i<list.length; i++ )
    {
        var title = list[i];
        if( title.indexOf(".")>-1 )
            zip.AddFile( name+"/"+title, fldr+"/"+title );
        else
            AddFolder( zip, name+"/"+title, fldr+"/"+title );
    }
}

//Install an spk package.
function InstallPackage( file )
{
    //Create project zip file.
    var zip = app.CreateZipUtil();
    zip.Open( file );
    
    //Extract files recursively.
    var fldr = app.GetPath();
    ExtractFiles( zip, fldr );
    
    //Close zip file.
	zip.Close();
}

//Recursively extract zip contents.
function ExtractFiles( zip, fldr )
{
    
}
