
//Called when application is started.
function OnStart()
{
	//Create a layout with objects vertically centered.
	lay = app.CreateLayout( "linear", "VCenter,FillXY" );	

	//Create a text label and add it to layout.
	txt = app.CreateText( app.GetIPAddress() );
	txt.SetTextSize( 32 );
	lay.AddChild( txt );
	
	//Add layout to app.	
	app.AddLayout( lay );
	
	//Set menus.
	menus = "Connect:Connect.png,Exit:Exit.png"; 
	app.SetMenu( menus, "/assets/img" );  
	
	//test
	//app.StartDebugServer();
}

//Called when user selects a menu item.
function OnMenu( name )
{        		
	if( name=="Connect" ) 
	{
		var ip = app.GetIPAddress();
		if( ip == "0.0.0.0" ) { app.ShowPopup( "Please Enable Wi-Fi" ); return; }
		
		app.Alert( "To edit programs using your PC, type the following" + 
			" address into your web browser's address bar:\n\n" + ip+":8088", "Wi-Fi Connect" );

		app.StartDebugServer();
	}
	else if( name=="Exit" ) {
		app.Exit( true );   
	}
}
